import axios from "../../utils/axios";


export function filterLog(query) {
    return axios({
        url: "/spssync/basic/udiinfo/filter",
        method: "get",
        params: query
    });
}


export function deleteLog(query) {
    return axios({
        url: "/spssync/basic/udiinfo/deleteByStatus",
        method: "post",
        data: query
    });
}

export function createSchedule(query) {
    return axios({
        url: "/spssync/basic/schedule/create",
        method: "post",
        data: query
    });
}


export function findConfig(query) {
    return axios({
        url: "/system/param/syncData/config",
        method: "get",
        params: query
    });
}

export function updateConfig(query) {
    return axios({
        url: "/system/param/syncData/save",
        method: "post",
        data: query
    });
}


export function testConnect(query) {
    return axios({
        url: "/spssync/basic/connect/test",
        method: "get",
        params: query
    });
}

